Subject: Re: [iucg] UTS 46 (was: IDN processing-related security considerations for draft-ietf-websec-strict-transport-sec)

From: JFC Morfin <[email-masked]>
Date: Tue, 11 Oct 2011 11:45:45 +0200

At 07:17 11/10/2011, Frank Ellermann wrote:
>they would be also able to flag say Latin + Cyril mixtures,

Agreed.

However nothing forbids Latin+Cyril trade-marked mixtures, moreover 
at globalization time. WIPO realized and accepted the problem when we 
discussed it in Geneva some years ago. A sollution could have been to 
use x--n as a header, x--ncocacola.com being less confusing.

The only solution which resisted technical and max legal (not all) 
objections was a CLASS 0 referent layer in the multi-layer domain 
name pile that would be based on sign binary graphs (unigraph) 
permitting an unisign algorithm. Such an algorithm would embedd a 
"punyplus" punycode extension to support metadata (e.g. French 
majuscules, which can optionally expressed as accentuated or not 
upper-cases or lower cases, with a direct consequence on the 
readibility of the word meaning).

jfc